Users API
/api/v2/users/{id}
Get User Details
Parameters
| Name | Description |
|---|---|
| id * | Numeric ID of the User. Type: integer (path) |
Responses
| Code | Description |
|---|---|
| 200 |
User data. Media type: application/json Example Value: { "id": 0, "email": "string", "roles": [ "ADMIN" ] } |
| 404 |
Resource was not found. Media type: application/json Example Value: { "id": 0, "email": "string", "roles": [ "ADMIN" ] } |
/api/v2/users/{id}
Update a User
Parameters
| Name | Description |
|---|---|
| id * | Numeric ID of the User. Type: integer (path) |
Request body
application/json
Example Value:
{ "role": "ADMIN" }
Responses
| Code | Description |
|---|---|
| 200 |
User was updated successfully. |
| 404 |
Resource was not found. |
/api/v2/users/{id}/delete
Delete a User
Parameters
| Name | Description |
|---|---|
| id * | Numeric ID of the User. Type: integer (path) |
Request body
application/json
Example Value:
{ "newUser": 0 }
Responses
| Code | Description |
|---|---|
| 200 |
User was deleted successfully. |
| 404 |
Resource was not found. |
| 409 |
Resource cannot be deleted. |
/api/v2/users
Get Current List
Parameters
| Name | Description |
|---|---|
| page (query) | The page to list entries. Default value: 0 |
| size (query) | The page size for listing entries. Default value: 20 |
| sort (query) | The sort type for listing entries. |
| filterName (query) | The name/type of the filter. |
| filterValue (query) | The value of the filter. |
Responses
| Code | Description |
|---|---|
| 200 |
Current User Information. Media type: application/json Example Value: { "email": "string", "authorities": [ "string" ] } |
/api/v2/users
Create a User
Parameters
No parameters
Request body
application/json
Example Value:
{ "email": "string", "role": "ADMIN", "tempPassword": "string" }
Responses
| Code | Description |
|---|---|
| 201 |
ID of the User. Media type: application/json Example Value: { "id": 0 } |
| 409 |
Email needs to be unique. Media type: application/json Example Value: { "id": 0 } |
/api/v2/users/me
Get Current User Info
Parameters
No parameters
Responses
| Code | Description |
|---|---|
| 200 |
Current User Information. Media type: application/json Example Value: { "email": "string", "authorities": [ "string" ] } |